diff --git a/rpm/redhat/master/repmgr/master/repmgr.spec b/rpm/redhat/master/repmgr/master/repmgr.spec
index 028fcdd..c860a55 100644
--- a/rpm/redhat/master/repmgr/master/repmgr.spec
+++ b/rpm/redhat/master/repmgr/master/repmgr.spec
@@ -1,6 +1,6 @@
 %global pgmajorversion 10
 %global pgpackageversion 10
-%global pginstdir /usr/pgsql-%{pgpackageversion}
+%global pginstdir /usr/pgsql-%{pgmajorversion}
 %global sname repmgr
 %if 0%{?rhel} && 0%{?rhel} <= 6
 %global systemd_enabled 0
@@ -10,7 +10,7 @@
 
 %global _varrundir %{_localstatedir}/run/%{sname}
 
-Name:		%{sname}%{pgmajorversion}
+Name:		%{sname}%{pgpackageversion}
 Version:	3.3.1
 Release:	1%{?dist}
 Summary:	Replication Manager for PostgreSQL Clusters
@@ -41,10 +41,10 @@ Requires(postun):	initscripts
 Group:		Applications/Databases
 BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 %endif
-BuildRequires:	postgresql%{pgmajorversion}, postgresql%{pgmajorversion}-devel
+BuildRequires:	postgresql%{pgpackageversion}, postgresql%{pgpackageversion}-devel
 BuildRequires:	libxslt-devel, pam-devel, openssl-devel, readline-devel
 BuildRequires:	libmemcached-devel libicu-devel
-Requires:	postgresql%{pgmajorversion}-server
+Requires:	postgresql%{pgpackageversion}-server
 
 %description
 repmgr is an open-source tool suite to manage replication and failover in a
@@ -111,7 +111,7 @@ fi
 %post
 /sbin/ldconfig
 %if %{systemd_enabled}
-%systemd_post %{sname}-%{pgmajorversion}.service
+%systemd_post %{sname}-%{pgpackageversion}.service
 %tmpfiles_create
 %else
 # This adds the proper /etc/rc*.d links for the script
